| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
uhd::type_error Struct Reference

`#include <uhd/exception.hpp>`

Inheritance diagram for uhd::type_error:

## Public Member Functions
| type_error (const std::string &what)
unsigned | code (void) const override
type_error * | dynamic_clone (void) const override
void | dynamic_throw (void) const override
Public Member Functions inherited from uhd::exception
| exception (const std::string &what)

## Detailed Description

Raised when an operation or function is executed with a value of incorrect type.

This might occur when values are being passed around as strings, but the underlying code will need convert to a native type.

## Constructor & Destructor Documentation

## ◆ type_error()

uhd::type_error::type_error | ( | const std::string & | what | ) |

## Member Function Documentation

## ◆ code()

unsigned uhd::type_error::code | ( | void |  | ) | const
| override virtual

Implements uhd::exception.

## ◆ dynamic_clone()

type_error * uhd::type_error::dynamic_clone | ( | void |  | ) | const
| override virtual

Implements uhd::exception.

## ◆ dynamic_throw()

void uhd::type_error::dynamic_throw | ( | void |  | ) | const
| override virtual

Implements uhd::exception.

The documentation for this struct was generated from the following file:

- exception.hpp